For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sessions

Active playing sessions and court access windows.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
endTimestring · date-timeOptional

If not set, the response will include up to 1 day ahead SessionDtos since startTime

expandstring[]OptionalExample: ["items._links.pod","items._links.availableTables"]
coachTypestring[]OptionalExample: ["HUMAN","ROBOT"]
startTimestring[]Optional

If not set, defaults to now

Example: ["2021-09-08T00:00:00Z","2021-09-08T00:30:00Z"]
podIdstring[]OptionalExample: ["40-allen","42-allen"]
Responses
200

Returns a SessionCollection

application/json
_totalnumberRequired
get/sessions
GET /apis/v2/sessions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a SessionCollection

{
  "items": [
    {
      "id": "text",
      "pod": {},
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "periodType": "OFF_PEAK",
      "tablesLeft": 1,
      "status": "AVAILABLE",
      "availableGuests": {
        "items": [
          {
            "id": "text",
            "displayName": "text",
            "displayNameShort": "text",
            "max": 1,
            "rate": 1,
            "lessonRate": 1
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "availableTables": {
        "items": [
          {
            "id": "text",
            "type": "FIXED_TABLE",
            "table": {
              "id": "text"
            },
            "rate": 1,
            "lessonRate": 1
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "availableCoaches": {},
      "defaultTable": {},
      "defaultCoach": {},
      "defaultGuests": {},
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
sessionIdstringRequiredExample: 40-allen-1629316800000
Query parameters
expandstring[]OptionalExample: ["_links.pod","_links.availableTables"]
Responses
200

Returns a Session

application/json
idstringRequired
podobjectRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
periodTypestring · enumRequiredPossible values:
tablesLeftnumberRequired
statusstring · enumRequiredPossible values:
availableCoachesobject · nullableRequired
defaultTableobject · nullableRead-onlyRequired
defaultCoachobject · nullableRead-onlyRequired
defaultGuestsobject · nullableRead-onlyRequired
_linksobjectRequired
get/sessions/{sessionId}
GET /apis/v2/sessions/{sessionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Session

{
  "id": "text",
  "pod": {},
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "periodType": "OFF_PEAK",
  "tablesLeft": 1,
  "status": "AVAILABLE",
  "availableGuests": {
    "items": [
      {
        "id": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "max": 1,
        "rate": 1,
        "lessonRate": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "availableTables": {
    "items": [
      {
        "id": "text",
        "type": "FIXED_TABLE",
        "table": {
          "id": "text"
        },
        "rate": 1,
        "lessonRate": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "availableCoaches": {},
  "defaultTable": {},
  "defaultCoach": {},
  "defaultGuests": {},
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
sessionIdstringRequiredExample: 40-allen-1629316800000
Query parameters
expandstring[]Optional
Responses
200

Returns the Session available Tables

application/json
_totalnumberRequired
get/sessions/{sessionId}/available-tables
GET /apis/v2/sessions/{sessionId}/available-tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns the Session available Tables

{
  "items": [
    {
      "id": "text",
      "type": "FIXED_TABLE",
      "table": {
        "id": "text"
      },
      "rate": 1,
      "lessonRate": 1
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
sessionIdstringRequiredExample: 40-allen-1629316800000
Query parameters
typestring[]OptionalExample: ["HUMAN","ROBOT"]
expandstring[]Optional
Responses
200

Returns the Session available Coaches with their rates

application/json
_totalnumberRequired
get/sessions/{sessionId}/available-coaches
GET /apis/v2/sessions/{sessionId}/available-coaches HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns the Session available Coaches with their rates

{
  "items": [
    {
      "id": "text",
      "coach": {
        "id": "text"
      },
      "rate": 1,
      "availableGuests": {
        "items": [
          {
            "id": "text",
            "displayName": "text",
            "displayNameShort": "text",
            "max": 1,
            "rate": 1,
            "lessonRate": 1
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?